R<exec.R --no-save

#!/bin/R

library(ggplot2) //a copier en premier après la commande "R" (juste R dan le terminal)

df <- read.table("perf.dat", header=TRUE) //deuxième commande

png("perf.png") //crée l'image

//Crée le graphe sans distinction de LinkedList ou autre
ggplot(df,aes(x=taille,y=exectime, color=operation)) +
    geom_point() +
    geom_smooth()

//Crée le grahe avec distinctions LinkedList
ggplot(df[df$structure=="LinkedList",],aes(x=taille,y=exectime, color=operation)) +
        geom_point() +
        geom_smooth()
